package com.tencent.mm.platformtools;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.account.a.a.b;
import com.tencent.mm.plugin.account.friend.a.al;
import com.tencent.mm.plugin.account.friend.a.l;
import com.tencent.mm.sdk.platformtools.ab;

class a$1 implements b {
    a$1() {
    }

    public final void cN(boolean z) {
        AppMethodBeat.i(124504);
        ab.i("MicroMsg.AddrBookSyncHelper", "syncAddrBookAndUpload onSyncEnd suc:%b", new Object[]{Boolean.valueOf(z)});
        if (z) {
            System.currentTimeMillis();
            l.apX();
            g.Rg().a(new al(l.aqb(), l.aqa()), 0);
            AppMethodBeat.o(124504);
            return;
        }
        AppMethodBeat.o(124504);
    }
}
